Subject: Re: bug#72068: show-paren-mode does not match Chinese parentheses correctly

From: Stefan Monnier <[email-masked]>
Date: Fri, 12 Jul 2024 08:45:22 -0400

Eli Zaretskii [2024-07-12 09:02:49] wrote:
> I'm not sure this is a bug, since I think Lisp allows those characters
> to be treated as symbol-constituent.  Stefan, am I right?

I think that's the idea, indeed.  Of course, we don't have to obey the
Emacs Lisp syntax, but I think it makes sense to do so.
Admittedly, it would be nice to allow the use of other syntax rules inside
comments and string for these kinds of situations.

        Stefan